<?php

/**
 * FBC Editor
 * Your online php editor.
 * 
 * @version 0.3
 * @package FBCEditor
 * @author Polasek Frantisek (PolasekF@gmail.com)
 * @copyright 2013 Polasek Frantisek
 */
 
session_start();

if(isset($_SESSION["editor_logged"]) && ($_SESSION["editor_logged"] == TRUE))
{    
    header("Location: index.php");
    die();
} 

$error = '';

require_once 'config.php';

if(isset($_POST["sender"]))
{
   if(($configuration['user'] == $_POST['userName']) && ($configuration['pass'] == $_POST['userPass']))
   {
        $_SESSION["editor_logged"] = TRUE;
        $_SESSION["editor_user_name"] = $_POST["userName"];
        header("Location: index.php");
        die();
   } else
   {
        $error = "Wrong username or password.";
   }
}

?><!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>FBC Editor Sign In</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="Polasek Frantisek (polasekf@gmail.com)">

    <!-- Le styles -->
    <link href="./data/css/bootstrap.min.css" rel="stylesheet">
    <style type="text/css">
      body {
        padding-top: 40px;
        padding-bottom: 40px;
        background-color: #f5f5f5;
      }

      .form-signin {
        max-width: 300px;
        padding: 19px 29px 29px;
        margin: 0 auto 20px;
        background-color: #fff;
        border: 1px solid #e5e5e5;
        -webkit-border-radius: 5px;
           -moz-border-radius: 5px;
                border-radius: 5px;
        -webkit-box-shadow: 0 1px 2px rgba(0,0,0,.05);
           -moz-box-shadow: 0 1px 2px rgba(0,0,0,.05);
                box-shadow: 0 1px 2px rgba(0,0,0,.05);
      }
      .form-signin .form-signin-heading,
      .form-signin .checkbox {
        margin-bottom: 10px;
      }
      .form-signin input[type="text"],
      .form-signin input[type="password"] {
        font-size: 16px;
        height: auto;
        margin-bottom: 15px;
        padding: 7px 9px;
      }

    </style>

    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="./data/js/html5shiv.js"></script>
    <![endif]-->

    <!-- Fav and touch icons -->
    <link rel="shortcut icon" href="favicon.ico">
  </head>

  <body>

    <div class="container">

      <form class="form-signin" method="post"  action="login.php">
        <h2 class="form-signin-heading">Please sign in - 20 Script</h2>
        <?php echo $error; ?>
        <input name="userName" type="text" class="input-block-level" placeholder="Username...">
        <input name="userPass" type="password" class="input-block-level" placeholder="Password...">
       <!-- <label class="checkbox">
          <input type="checkbox" value="remember-me"> Remember me
        </label> -->
        <button name="sender" class="btn btn-large btn-primary" type="submit">Sign in</button>
      </form>

    </div> <!-- /container -->


    <script src="./data/js/jquery-1.9.1.min.js"></script>
    <script src="./data/js/bootstrap.min.js"></script>

  </body>
</html>
